Bug 982588 - Review Request: radicale - A simple CalDAV (calendar) and CardDAV (contact) server
Review Request: radicale - A simple CalDAV (calendar) and CardDAV (contact) s...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
:
: 922276 (view as bug list)
Depends On: 982585
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-09 06:53 EDT by Juan Orti
Modified: 2015-04-07 09:33 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-27 12:15:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
i: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Juan Orti 2013-07-09 06:53:27 EDT
Spec URL: http://jorti.fedorapeople.org/radicale/radicale.spec
SRPM URL: http://jorti.fedorapeople.org/radicale/radicale-0.7.1-1.fc19.src.rpm

Description: The Radicale Project is a CalDAV (calendar) and CardDAV (contact) server. It aims to be a light solution, easy to use, easy to install, easy to configure. As a consequence, it requires few software dependencies and is pre-configured to work out-of-the-box.

The Radicale Project runs on most of the UNIX-like platforms (Linux, BSD, MacOS X) and Windows. It is known to work with Evolution, Lightning, iPhone and Android clients. It is free and open-source software, released under GPL version 3.

For further information, please visit the Radicale Website http://www.radicale.org

Fedora Account System Username:jorti
Comment 1 Christopher Meng 2013-07-17 04:06:29 EDT
install -m 0640 config logging %{buildroot}%{_sysconfdir}/%{name}
install -m 0644 %{SOURCE1} %{buildroot}%{_unitdir}/%{name}.service

I think you should install them with -p option added.

And 0.8 has came out. So please update.
Comment 2 Till Maas 2013-07-18 14:31:54 EDT
*** Bug 922276 has been marked as a duplicate of this bug. ***
Comment 3 Juan Orti 2013-07-19 04:45:38 EDT
I have updated to version 0.8, also I have talked with Till Maas and I have merged his spec file with mine. I will add him as co-mantainer.

Spec URL: http://jorti.fedorapeople.org/radicale/radicale.spec
SRPM URL: http://jorti.fedorapeople.org/radicale/radicale-0.8-1.fc19.src.rpm
Comment 4 Christopher Meng 2013-07-19 05:42:22 EDT
BuildRequires:    python-devel

should be python2-devel

Rpmlint
-------
Checking: radicale-0.8-1.fc20.noarch.rpm
          radicale-httpd-0.8-1.fc20.noarch.rpm
radicale.noarch: W: spelling-error %description -l en_US pre -> per, ore, pee
radicale.noarch: W: non-standard-uid /etc/radicale/config radicale
radicale.noarch: W: non-standard-gid /etc/radicale/config radicale
radicale.noarch: E: non-readable /etc/radicale/config 0640L
radicale.noarch: W: non-standard-uid /var/log/radicale/radicale.log radicale
radicale.noarch: W: non-standard-gid /var/log/radicale/radicale.log radicale
radicale.noarch: W: non-standard-uid /etc/radicale radicale
radicale.noarch: W: non-standard-gid /etc/radicale radicale
radicale.noarch: W: non-standard-uid /etc/radicale/logging radicale
radicale.noarch: W: non-standard-gid /etc/radicale/logging radicale
radicale.noarch: W: non-standard-uid /var/log/radicale radicale
radicale.noarch: W: non-standard-gid /var/log/radicale radicale
radicale.noarch: E: non-standard-dir-perm /var/log/radicale 0750L
radicale.noarch: W: non-standard-uid /var/lib/radicale radicale
radicale.noarch: W: non-standard-gid /var/lib/radicale radicale
radicale.noarch: E: non-standard-dir-perm /var/lib/radicale 0750L
radicale.noarch: W: no-manual-page-for-binary radicale
radicale-httpd.noarch: W: spelling-error Summary(en_US) config -> con fig, con-fig, configure
radicale-httpd.noarch: W: summary-not-capitalized C httpd config for Radicale
radicale-httpd.noarch: W: spelling-error %description -l en_US config -> con fig, con-fig, configure
radicale-httpd.noarch: W: no-documentation
2 packages and 0 specfiles checked; 3 errors, 18 warnings.

Can you tell me whether 640 is correct or not?

Thanks.
Comment 5 Juan Orti 2013-07-21 08:10:54 EDT
(In reply to Christopher Meng from comment #4)
> 
> Can you tell me whether 640 is correct or not?
> 

It's correct. There can be LDAP or database passwords in that file, so must not be world-readable.

Spec URL: http://jorti.fedorapeople.org/radicale/radicale.spec
SRPM URL: http://jorti.fedorapeople.org/radicale/radicale-0.8-2.fc19.src.rpm
Comment 6 Christopher Meng 2013-07-25 22:16:19 EDT
Package looks very good.

Only a question left.

Since it supports python3, so will you build it against py3?

Thanks.
Comment 7 Till Maas 2013-08-18 17:42:37 EDT
(In reply to Christopher Meng from comment #6)

> Since it supports python3, so will you build it against py3?

It does not support python3 if ldap or pam authentication is used, there for more features it makes more sense to use python2:
http://radicale.org/user_documentation/#python-versions-and-os-support
Comment 8 Juan Orti 2013-08-27 04:54:05 EDT
(In reply to Christopher Meng from comment #6)
> Package looks very good.
> 
> Only a question left.
> 
> Since it supports python3, so will you build it against py3?
> 
> Thanks.

As Till says, there are different feature sets in python2 and python3, in the future I will investigate to build both and use alternatives or conflicts to be able to choose what to install.

I have updated the spec, moving the .wsgi and .fcgi files to the main package

Spec: http://jorti.fedorapeople.org/radicale/radicale.spec
SRPM: http://jorti.fedorapeople.org/radicale/radicale-0.8-3.fc19.src.rpm
Comment 9 Christopher Meng 2013-08-27 05:18:26 EDT
Oh....

Please change the httpd subpackage to noarch.
Comment 10 Juan Orti 2013-08-27 05:34:50 EDT
it inherites the noarch from the main package.
Comment 11 Christopher Meng 2013-08-27 05:40:06 EDT
Hehe, sorry about that ;)

APPROVED.
Comment 12 Juan Orti 2013-08-27 05:53:55 EDT
New Package SCM Request
=======================
Package Name: radicale 
Short Description: A simple CalDAV (calendar) and CardDAV (contact) server
Owners: jorti till
Branches: f18 f19 f20
InitialCC:
Comment 13 Gwyn Ciesla 2013-08-27 08:14:35 EDT
Git done (by process-git-requests).
Comment 14 Fedora Update System 2013-08-27 11:52:00 EDT
radicale-0.8-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/radicale-0.8-3.fc19
Comment 15 Fedora Update System 2013-08-27 11:53:08 EDT
radicale-0.8-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/radicale-0.8-3.fc18
Comment 16 Fedora Update System 2013-09-04 21:39:26 EDT
radicale-0.8-3.fc18 has been pushed to the Fedora 18 stable repository.
Comment 17 Fedora Update System 2013-09-04 21:40:57 EDT
radicale-0.8-3.fc19 has been pushed to the Fedora 19 stable repository.
Comment 18 Juan Orti 2015-04-07 03:37:41 EDT
Package Change Request
======================
Package Name: radicale
New Branches: el6 epel7
Owners: pbiering jorti till 
InitialCC:
Comment 19 Gwyn Ciesla 2015-04-07 09:33:26 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.